\version "2.11.36"
\include "../makros.ly"

\paper {
 first-page-number = #12
}

Key = { \key c \minor }

sprnI = \relative c' {
 \Key
 \time 3/2
 \override StaffGroup.SpanBar #'transparent = ##t
 \partial 2 f2 
 as1 b2
 c1 b2
 es1 d2
 c1\fermata b2
 es1 d2
 c1 b2
 as1 (g2) 
 f1\fermata \revert StaffGroup.SpanBar #'transparent \bar ":|" \override StaffGroup.SpanBar #'transparent = ##t 
 f2 
 b1 b2
 g1 c2 % Takt 10
 c1 h2
 c1\fermata c2
 f1 f2
 g1 es2
 f2 (es d)
 c1\fermata c2
 es1 d2
 c1 b2
 c1 as2
 g1\fermata f2 % Takt 20
 as1 b2
 c1 as2
 b (as g)
 f1\fermata f'2
 f1 f2
 g1 es2
 f (es d) \override Script #'font-size = #-2
 c1\fermata
 \revert StaffGroup.SpanBar #'transparent
 \bar "|."
}

sopranItextI = \lyricmode {
 Er 
 wei -- det
 mich auf
 grü -- ner Au der
 him -- mels -- 
 sü -- ßen 
 Leh -- 
 re, als 
 mei -- nes
 Hir -- tens
 Ei -- gen --
 tum, der
 täg -- lich
 mir dar --
 rei --
 chet, sein
 sü -- ßes
 E -- van -- 
 ge -- li --
 um, dem
 Milch und
 Ho -- nig
 wei --
 chet, wenn
 Gott die
 See -- le
 spei --
 set.
}

sopranItextII = \lyricmode {
 da 
 schmeck ich
 Got -- tes
 Gna -- den --
 tau, mit
 dem ich
 mich er --
 näh --
 re,
}

basstextII = \lyricmode {
 da 
 schmeck ich
 Got -- tes
 Gna -- den --
 tau, mit
 dem ich
 mich er --
 näh --
 re, 
 \override LyricText #'transparent = ##t
 \override LyricHyphen #'transparent = ##t
 als 
 mei -- nes
 Hir -- tens
 Ei -- gen --
 tum, der
 täg -- lich
 mir dar --
 rei --
 chet, sein
 sü -- ßes
 E -- van -- 
 ge -- li --
 um, dem
 Milch und
 Ho -- nig
 wei --
 chet, wenn
 Gott die
 See -- le
 spei --
 set.
}

sopranI = {
 \global
 \set Staff.instrumentName = \markup {\column {\iname #"Soprano I" \iname #"Violino I" } }
 \clef treble
 <<
  \sprnI
 >>
}

sprnII = \relative c' {
 \Key
 \partial 2 f2
 f1 g2
 as1 g2
 c1 h2
 c1\fermata g2
 c1 b2
 as1 g2
 f1 (e2)
 f1\fermata 
 f2
 d!1 d2
 es1 es2 % Takt 10
 d1 d2
 es1\fermata as2
 as (f) b
 b1 c2
 d (c h)
 c1\fermata es,2
 b'1 b2
 es,1 g2
 g1 f2
 e1\fermata f2 % Takt 20
 f1 g2
 as1 f2
 g (f e)
 f1\fermata as2
 a1 b2
 b1 c2
 d (c h) \override Script #'font-size = #-2
 c1\fermata
}


sopranII = {
 \global
 \set Staff.instrumentName = \markup { \general-align #Y #CENTER
  \column { \iname #" Soprano II" \iname #" o Alto" \iname #" Violino II" } \general-align #X #RIGHT \general-align #Y #CENTER
  \line { 
   \score {
    <<
     \new Staff  {
      \time 6/4
      \Key
      \clef soprano
      \relative c' {
       \set Staff.fontSize = #-3
       \override Staff.StaffSymbol #'staff-space = #(magstep -3)
       s4
       \bar ""
      }
     }      
    >>
    \layout  {
     indent = 0\cm
     raggedright = ##t
     line-width = 0.5\cm
     \context { \Staff \remove Time_signature_engraver }
    }
   }
  } 
 }
 \clef treble
 <<
  \sprnII
 >>
}


gb = \relative c {
 \Key
 \partial 2 f2
 f1 es2
 as,1 es'2
 c1 g'2
 c,1\fermata es2 \once \override TextScript #'extra-offset = #'(-9.0 . -4.0)
 c1_\markup{ \small \concat { \raise #0.7 "*" "in der Oberoktave (siehe Vorwort)"}} g'2 
 as1 e2
 f \melisma c' c, \melismaEnd
 f1\fermata 
 des2 
 b1 b2
 es1 c2 % Takt 10
 f1 g2
 c,1\fermata f2
 d1 d2
 es1 as2
 f1 \melisma g2 \melismaEnd
 c,1\fermata as'2
 g1 g2
 as1 es2 
 e1 f2
 c1\fermata f2 % Takt 20
 f1 es!2
 as,1 des2
 b1 \melisma c2 \melismaEnd
 f1\fermata f2
 es1 d2
 es1 as2
 f1 \melisma g2 \melismaEnd \override Script #'font-size = #-2
 c,1\fermata
}

ziffern = \figuremode {
 r2
 r1*3/2*2
 r1 <_!>2
 r1 <5>2
 r1 <_- 5>2
 r1 <5>2
 r <4 6> <_! 5>
 r1. 
 <_!>1 r2
 r1.
 <5 6>1 <_!>2
 r1.
 <7>1 <6>2
 r1.
 <6>2 <5> <_!>
 r1 <5>2
 <6>1 <5>2
 r1.
 <6>1 r2
 <_!>1 r2
 r1*3
 <_- 6>2 <\markup {\transparent \number 6} 5> <_!> 
 r1.
 <4!>1 <6>2 
 r1.
 <6>2 <5> <_!>
 }

bs = {
 \global
 \set Staff.instrumentName = \markup {\column {\iname #"Basso (ad lib.)" \iname #(markup #:concat ("Viola (ad lib.)" #:raise 0.7 "*"))} }
 \clef bass
 <<
  \gb
 >>
}

bc = {
 \global
 \set Staff.instrumentName = \markup {\column {\iname #"Organo" \iname #"Violoncello" \iname #"Violone" \iname #"(ad lib.)" } }
 \clef bass
 <<
  \override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-4 . 3)
  \override Staff.VerticalAxisGroup #'keep-fixed-while-stretching = ##t
  \override StaffGroup.SystemStartBracket #'transparent = ##t
  \gb
 >>
}

\score {
 <<
   \new StaffGroup <<
     \new Voice = "SopranI" \sopranI
     \new Lyrics \lyricsto SopranI \sopranItextI
     \new Lyrics \lyricsto SopranI \sopranItextII
     \new Voice = "SopranII" \sopranII
     \new Lyrics \lyricsto SopranII \sopranItextI
     \new Lyrics \lyricsto SopranII \sopranItextII
     \new Voice = "Bass" \with {\remove "Text_engraver" } \bs 
   >>
   \new Lyrics \lyricsto Bass \sopranItextI
   \new Lyrics \with { \override VerticalAxisGroup #'minimum-Y-extent = #'(-3.75 . 2.0) } \lyricsto Bass \basstextII
   \new StaffGroup <<
    \new FiguredBass \ziffern
    \new Staff = "b.c." \bc 
   >>
 >>
 \layout {
  #(define indent (* (+ leftspace 14) mm))
  \context {
    \Score
     \override PaperColumn #'keep-inside-line = ##t
     \override VerticalAlignment #'max-stretch = #ly:align-interface::calc-max-stretch
  }
  \context {
    \Lyrics
     \override LyricText #'font-size = #0
  }
  \context {
   \StaffGroup
    \override SystemStartBracket #'collapse-height = #0.1
  }
  \context {
   \Staff
   \override InstrumentName #'self-alignment-X = #RIGHT  
  }  
  \context {
   \FiguredBass
   figuredBassFormatter = #my-format-bass-figure
   figuredBassPlusDirection = #RIGHT
   figuredBassAlterationDirection = #RIGHT
   \override BassFigureAlignment #'stacking-dir = #UP
  }
 }
 \header {
  piece = \markup {\hspace #1 \fontsize #3 "2. Choral" }
 }
}


