\version "2.11.36"
\include "../makros.ly"

\paper {
 first-page-number = #23
}

Key = { \key g \minor }

sprnI = \relative c'' {
 \Key
 \time 4/4
 \override StaffGroup.SpanBar #'transparent = ##t
 g2 a
 b d
 c b
 a1
 g\fermata
 a2 a
 b1\fermata
 c2 c
 d1\fermata
 d2 f % Takt 10
 es d
 c1
 b\fermata
 d2 d
 c d
 b a
 g1
 f
 a2 a
 b1\fermata % Takt 20
 c2 c
 d1\fermata
 g,2 a 
 b c
 a1 \override Script #'font-size = #-2
 g\fermata
 \revert StaffGroup.SpanBar #'transparent
 \bar ":|"
}

sopranItextI = \lyricmode {
 \set stanza = "1."
 Herr, mein
 Hirt, Brunn
 al -- ler
 Freu -- 
 den,
 du bist
 mein,
 ich bin
 dein,
 nie -- mand % Takt 10
 kann uns
 schei --
 den.
 Ich bin
 dein, weil
 du dein
 Le --
 ben
 und dein
 Blut, % Takt 20
 mir zu -- 
 gut,
 in den
 Tod ge --
 ge --
 ben.
}

sopranItextII = \lyricmode {
 \set stanza = "2."
 Du bist
 mein, weil
 ich dich
 fas --
 se
 und dich
 nicht,
 o mein
 Licht,
 aus dem % Takt 10
 Her -- zen
 las -- 
 se.
 Lass mich,
 lass mich
 hin -- ge --
 lan -- 
 gen,
 da du
 mich % Takt 20
 und ich
 dich 
 leib -- lich
 werd um --
 fan --
 gen.
}

sopranI = {
 \global
 \set Staff.instrumentName = \markup {\column {\iname #"Soprano I" \iname #"Violino I" } }
 \clef treble
 <<
  \sprnI
 >>
}

sprnII = \relative c' {
 \Key
 d2 fis
 g b
 a g
 g (fis)
 g1\fermata
 e2 f4 (fis)
 g1\fermata
 g4 (b2) a4
 b1\fermata
 f2 d' % Takt 10
 g,4 (a) b2
 b (a)
 b1\fermata
 b2 e,
 es? f
 g f
 f (e)
 f1 
 f2 f
 f1\fermata % Takt 20
 f2 f
 f1\fermata
 es2 es
 d g
 g (fis) \override Script #'font-size = #-2
 g1\fermata
}


sopranII = {
 \global
 \set Staff.instrumentName = \markup { \general-align #Y #CENTER
  \column { \iname #" Soprano II" \iname #" o Alto" \iname #" Violino II" } \general-align #X #RIGHT \general-align #Y #CENTER
  \line { 
   \score {
    <<
     \new Staff  {
      \time 6/4
      \Key
      \clef soprano
      \relative c' {
       \set Staff.fontSize = #-3
       \override Staff.StaffSymbol #'staff-space = #(magstep -3)
       s4
       \bar ""
      }
     }      
    >>
    \layout  {
     indent = 0\cm
     raggedright = ##t
     line-width = 0.5\cm
     \context { \Staff \remove Time_signature_engraver }
    }
   }
  } 
 }
 \clef treble
 <<
  \sprnII
 >>
}


gb = \relative c' {
 \Key
 b2 a
 g g
 fis g
 c, \melisma d \melismaEnd
 g,1\fermata
 c2 d
 g1\fermata
 e2 f
 b,1\fermata
 b'2 h, % Takt 10
 c d
 es (f)
 b,1\fermata
 g2 g'
 a d,
 e f
 c1
 f
 es!2 es
 d1\fermata % Takt 20
 a'2 a
 b1\fermata
 es,2 c
 g' es
 c (d) \override Script #'font-size = #-2
 g,1\fermata
}

ziffern = \figuremode {
 <6>2 <6/>
 r1
 <5>2 r
 <5 6> <_+>
 r1
 <_!>2 <_!>4 <_+>
 r1
 <5>2 r
 r1
 r2 <5>
 r <6>
 <5 6> r
 r1
 r2 <5 6!>
 <5> r
 <5> r
 <4> <_!>
 r1
 <2>
 <6>
 <6>
 r
 r2 <6>
 r <6>
 <5 6> <_+>
 }

bs = {
 \global
 \set Staff.instrumentName = \markup {\column {\iname #"Basso (ad lib.)" \iname #"Viola (ad lib.)" } }
 \clef bass
 <<
  \gb
 >>
}

bc = {
 \global
 \set Staff.instrumentName = \markup {\column {\iname #"Organo" \iname #"Violoncello" \iname #"Violone" \iname #"(ad lib.)" } }
 \clef bass
 <<
  \override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-4 . 3)
  \override Staff.VerticalAxisGroup #'keep-fixed-while-stretching = ##t
  \override StaffGroup.SystemStartBracket #'transparent = ##t
  \gb
 >>
}


\score {
 <<
   \new StaffGroup <<
     \new Voice = "SopranI" \sopranI
     \new Lyrics \lyricsto SopranI \sopranItextI
     \new Lyrics \lyricsto SopranI \sopranItextII
     \new Voice = "SopranII" \sopranII
     \new Lyrics \lyricsto SopranII \sopranItextI
     \new Lyrics \lyricsto SopranII \sopranItextII
     \new Voice = "Bass" \bs
   >>
   \new Lyrics \lyricsto Bass \sopranItextI
   \new Lyrics \with {\override VerticalAxisGroup #'minimum-Y-extent = #'(-3.75 . 2.0) } \lyricsto Bass \sopranItextII
   \new StaffGroup <<
    \new FiguredBass \ziffern
    \new Staff = "b.c." \bc 
   >>
 >>
 \layout {
  #(define indent (* (+ leftspace 14) mm))
  \context {
    \Score
     \override PaperColumn #'keep-inside-line = ##t
     \override VerticalAlignment #'max-stretch = #ly:align-interface::calc-max-stretch
  }
  \context {
    \Lyrics
     \override LyricText #'font-size = #0
  }
  \context {
   \StaffGroup
    \override SystemStartBracket #'collapse-height = #0.1
  }
  \context {
   \Staff
   \override InstrumentName #'self-alignment-X = #RIGHT  
  }  
  \context {
   \FiguredBass
   figuredBassFormatter = #my-format-bass-figure
   figuredBassPlusDirection = #RIGHT
   figuredBassAlterationDirection = #RIGHT
   \override BassFigureAlignment #'stacking-dir = #UP
  }
 }
 \header {
  piece = \markup {\hspace #1 \fontsize #3 "5. Choral" } 
 }
}


