\version "2.11.36"
\include "../makros.ly"

\paper {
 first-page-number = #36
}

Key = { \key g \major }

sprnI = \relative c'' {
 \Key
 \time 2/2
 \override StaffGroup.SpanBar #'transparent = ##t
 d2 d
 c h
 a a
 g1\fermata
 a2 a
 h d
 e d
 d (cis)
 d1\fermata
 g2 g % Takt 10
 fis fis
 e e 
 d1\fermata
 e2 e
 d d
 c h
 a1
 g\fermata
 a2 a
 h d % Takt 20
 d cis
 d1\fermata
 d2 d
 c h
 a a
 g1\fermata
 \revert StaffGroup.SpanBar #'transparent
 \bar "|."
}

sopranItext = \lyricmode {
 Je -- sum
 lass ich
 nicht von
 mir,
 geh ihm
 e -- wig 
 an der
 Sei --
 ten,
 Chris -- tus
 lässt mich
 für und
 für
 zu den 
 Le -- bens --
 Bäch -- lein
 lei --
 ten.
 Se -- lig,
 der mit 
 mir so
 spricht:
 Mei -- nen
 Je -- sum
 lass ich
 nicht.
}

sopranI = {
 \global
  \set Staff.instrumentName = \markup { \general-align #Y #CENTER
  \column { \iname #" Canto 1" \iname #" Violino 1" } \general-align #X #RIGHT \general-align #Y #CENTER
  \line { 
   \score {
    <<
     \new Staff  {
      \time 6/4
      \Key
      \clef soprano
      \relative c' {
       \set Staff.fontSize = #-3
       \override Staff.StaffSymbol #'staff-space = #(magstep -3)
       s4
       \bar ""
      }
     }      
    >>
    \layout  {
     indent = 0\cm
     raggedright = ##t
     line-width = 0.5\cm
     \context { \Staff \remove Time_signature_engraver }
    }
   }
  } 
 }
 \clef treble
 <<
  \sprnI
 >>
}

sprnII = \relative c'' {
 \Key
 h2 a
 g g
 g fis
 g1\fermata
 d2 fis
 d a'
 g a
 h (e,)
 fis1\fermata
 h2 h % Takt 10
 d d
 g, g4 (c)
 h1\fermata
 g2 g
 h h
 a g 
 g (fis)
 g1\fermata
 fis2 fis
 d a' % Takt 20
 g g
 fis1\fermata
 h2 g
 g d4 (g)
 g2 fis
 g1\fermata
}


sopranII = {
 \global
 \set Staff.instrumentName = \markup { \general-align #Y #CENTER
  \column { \iname #" Canto 2" \iname #" Violino 2" } \general-align #X #RIGHT \general-align #Y #CENTER
  \line { 
   \score {
    <<
     \new Staff  {
      \time 6/4
      \Key
      \clef soprano
      \relative c' {
       \set Staff.fontSize = #-3
       \override Staff.StaffSymbol #'staff-space = #(magstep -3)
       s4
       \bar ""
      }
     }      
    >>
    \layout  {
     indent = 0\cm
     raggedright = ##t
     line-width = 0.5\cm
     \context { \Staff \remove Time_signature_engraver }
    }
   }
  } 
 }
 \clef treble
 <<
  \sprnII
 >>
}



gb = \relative c' {
   fis,2
 e d
 c d
 g,1\fermata
 fis'2 d
 g fis
 e fis
 g (a)
 d,1\fermata
 e2 e % Takt 10
 h' h
 c c,
 g'1\fermata
 c2 c,
 g' e
 fis g
 d1
 g,\fermata
 d'2 d
 g fis % Takt 20
 e a
 d,1\fermata
 g2 h
 e, g
 d d
 g,1\fermata
}

bs = {
 \global
 \set Staff.instrumentName = \markup {\column { \iname #"Basso si piace" \iname #"Viola" } }
 \clef bass
 <<
  {\Key g2 \gb}
 >>
}

ziffern = \figuremode {
 r2 <6>
 <6> <4 6>
 <5 6> r
 r1
 <6>2 r
 r <6>
 r <6>
 r <_+>
 r1
 r % Takt 10
 r
 r
 r
 r
 r2 <7>
 <5 6> r
 <4> <3>
 r1
 r
 r2 <6> % Takt 20
 <7> <_+ 7>
 r1
 r2 <6>
 <6> r
 <4 5> <3>
}

bc = {
 \global
 \set Staff.instrumentName = \markup {\column { \iname #"Violono" \iname #"Organo" } }
 \clef bass
 <<
  \override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-4 . 3)
  \override Staff.VerticalAxisGroup #'keep-fixed-while-stretching = ##t
  \override StaffGroup.SystemStartBracket #'transparent = ##t
  \override Staff.TextScript #'padding = #1.5
  {\Key g2_\markup {"Tutti"} \gb}
 >>
}

\score {
 <<
   \new StaffGroup <<
     \new Voice = "SopranI" \sopranI
     \new Lyrics \lyricsto SopranI \sopranItext
     \new Voice = "SopranII" \sopranII
     \new Lyrics \lyricsto SopranII \sopranItext
     \new Voice = "Bass" \bs
   >>
   \new Lyrics \with {\override VerticalAxisGroup #'minimum-Y-extent = #'(-3.75 . 2.0) } \lyricsto Bass \sopranItext
   \new StaffGroup <<
    \new FiguredBass \ziffern
    \new Staff = "b.c." \bc 
   >>
 >>
 \layout {
  #(define indent (* (+ leftspace 14) mm))
  \context {
    \Score
     \override PaperColumn #'keep-inside-line = ##t
     \override VerticalAlignment #'max-stretch = #ly:align-interface::calc-max-stretch
  }
  \context {
    \Lyrics
     \override LyricText #'font-size = #0
  }
  \context {
   \StaffGroup
    \override SystemStartBracket #'collapse-height = #0.1
  }
  \context {
   \Staff
   \override InstrumentName #'self-alignment-X = #RIGHT  
  }  
  \context {
   \FiguredBass
   figuredBassFormatter = #my-format-bass-figure
   figuredBassPlusDirection = #RIGHT
   figuredBassAlterationDirection = #RIGHT
   \override BassFigureAlignment #'stacking-dir = #UP
  }
 }
 \header {
  piece = \markup \fontsize #3 { \hspace #1 "C. " \column {"Anhang" "Choral „Jesum lass ich nicht von mir“" } }
 } 
}



