\version "2.11.37"
\include "../makros.ly"

\paper { 
 first-page-number = #16
}

Key = { \key g \minor }

violI = \relative c'' {
 \Key
 \time 4/4
 \once \override TextScript #'padding = #1.5 
 d4_\boxf^\markup {\center-align {\bold Mäßig } } g,8 [d'] es16 [(d) es8] es16 [(d) es8]
 c16 [(h) c8] r4 c4 f,8 [c']
 d16 [(c) d8] d16 [(c) d8] b16 [(a) b8] r4
 r8 d [g g,] d' [fis16 fis] a [a d8]
 r c,\p [b a] g\f [b16 b] d [d g8]
 r es\p [d c] b\f [d16 d] g [g b8]
 a, [c16 c] f [f a8] g, [b16 b] es [es g8]
 fis,8 [es'16 (d es d es d]) g8 [es16 (d es d es d])
 a'8 [es16 (d es d es d]) b' [a g fis] g8 [es,]
 d [c b a] g4 r % Takt 10
 d''8^"pizzicato"^"|" [d^"|" d^"|" d^"|"] es [es es es]
 c [c c c] a [a a a]
 b [b f' f] g [g g g]
 f4 r r8 fis16\f^"arco" [fis] a [a d8]
 r4 r8 h,\p c [(b)] as [(g)]
 as [(g)] f [(es)] d4 r
 r1
 r2 r8 as'16\f [(g as g as g)]
 c8 [as16 (g as g as g)] d'8 [as!16 (g as g as g)]
 es'8 [c16 c] es [es g8] c8 [c,16 c] es [es g8] % Takt 20
 f^"|" [f16 (e f e f) d] es [d c h] c8 [as]
 g [f es d] c4 r
 c'8^"pizzicato" [c c c] d [d d d]
 d [d c c] c [c c c]
 g [g g g] g' [g g g]
 fis [fis fis fis] g [b b a] 
 a [fis g fis!] g [d d d]
 es4 r r8 d16\f^"arco" [d] g [g b8]
 r2 r8 f16 [f] b [b d8]
 g,,4\p r8 g' c,4 c8 [g] % Takt 30
 g [(c b) a] g4 r 
 r8 fis16\f [fis] a [a c8] r2
 r1
 r2 r8 g\f [d' d,]
 g [d' g g,] d' [fis16 fis] a [a d8]
 r f,!\p [es d] c\f [es16 es] g [g c8]
 r8 es,\p [d c] b\f [d16 d] f [f b8] 
 a, [c16 c] f [f a8] g, [b16 b] es [es g8]
 fis, [es'16 (d es d es d)] g8 [es16 (d es d es d)]
 a'8 [es16 (d es d es d)] b' [a g fis] g8 [es] % Takt 40
 d [c b a] b16 [a g fis] g8 [es]
 d [c b a] g4\fermata r
 r8 b'16\f [b] e [e g8] c,\p [f] es [d]
 es [es, d' d,] d' [d, c' c,]
 c'4 r r8 f, [a c]
 f f4 f8 ~ f [e16 d] c [b a g]
 a [f g a] b [c d e] f8 [e!16 f] g8 [e!]
 d\f [f16 f] a [a d8] es,!4 r
 r1
 r % Takt 50
 f8^"pizzicato" [f f f] f [f f f]
 f [f f f] es [g g g]
 g [f g es] es [es d d]
 c [g' g g] g [g g g]
 f [f es d] c [es d d]
 d [d d b'] es, [es b b]
 b [es d c] b [b b' d,]
 d [d c c] b4 r
 r1
 r % Takt 60
 \bar "||"
}


violineI = {
 \global
 \set Staff.instrumentName = \markup \iname #"Violino I"
 \clef treble
 <<
  \violI
 >>
}

violII = \relative c'' {
 \Key
 d4_\boxf g,8 [d'] es16 [(d) es8] es16 [(d) es8]
 c16 [(h) c8] c, [c] c'4 f,8 [c']
 d16 [(c) d8] d16 [(c) d8] b16 [(a) b8] b, [b]
 g' d' [g g,] d'4 r
 fis,8\p [es! d c] b4 r
 a'8 [c b a] g [b] r e,\f
 f [a] r d, es! [g] r c,
 d [es'16 (d es d es d)] d,8 [es'16 (d es d es d)]
 d,8 [es'16 (d es d es d)] b' [a g fis] g8 [es,] 
 d [c b a] g4 r % Takt 10
 b'8^"pizzicato"^"|" [b^"|" h^"|" h]^"|" c [c g g]
 a [a a a] c [c c c]
 d [d d d] b [b b b]
 d4 r r8 d16\f^"arco" [d] fis [fis fis8]
 r4 r8 g,8\p as [(g)] f [(e)]
 f [(es!)] d [(c)] h4 r
 r1
 r2 r8 as'16\f [(g as g as g)]
 g,8 [as'16 (g as g as g)] g,8 [as'!16 (g as g as g)]
 es'8 [c16 c] es [es g8] c8 [c,16 c] es [es g8] % Takt 20
 f^"|" [f16 (e f e f) d] es [d c h] c8 [c,]
 es [d c h] c4 r
 a'8^"pizzicato" [a f a] b [b b a]
 g [g g b] b [b a a]
 c [c c c] a [a a a]
 a [a a d] d [d d c]
 c [c b a] b [d b g]
 b4 r r8 g16\f^"arco" [g] b [b d8]
 r2 r8 b16 [b] d [d h8]
 c\p [(d es) b!^"|"] b4 (a8) [c] % Takt 30
 b8 [(a g) fis] g4 r
 r8 a16\f [a] c [c] g8 r2
 r1
 r2 r8 g\f [d' d,]
 g [d' g g,] d'4 r
 r8 as\p [g f] es4 r
 r8 g8 [f es] d\f [f'] r d
 c [a'] r d, b [g'] r c,
 d, [es'16 (d es d es d)] d,8 [es'16 (d es d es d)]
 d,8 [es'16 (d es d es d)] b' [a g fis] g8 [es] % Takt 40
 d [c b a] b16 [a g fis] g8 [es]
 d [c b a] g4\fermata r
 r8 g'16\f [g] b [b b'8] a,\p [b] a [b]
 c [c, b' b,] b' [b, a' a,]
 a' f [a c] f f4 f8 ~ 
 f [e16 d] c [b a g] a [f g a] b [c d e!] 
 f8 f4 f8 ~ f [a,] e' [a,]
 f\f [a16 a] d [d f8] b,4 r
 r1 
 r % Takt 50
 b8^"pizzicato" [b b b] b [b b b] 
 b [b b b] b [d es h]
 c [c c c] c [c h h]
 g [c c c] c [c c c]
 c [c a a] a [a a a]
 g [g g g] g [g f f]
 es [f g es] f [f f b]
 b [b a a] f4 r
 r1
 r % Takt 60
}


violineII = {
 \global
 \set Staff.instrumentName = \markup \iname #"Violino II"
 \clef treble
 <<
  \violII
 >>
}


sprn = \relative c'' {
 \Key
 r1 r r r r r r r r 
 r % Takt 10
 d4 g,8 d' es16 [d] es8 es16 [d] es8
 c16 [b] c8 r4 c4 f,8 c'
 d16 [c] d8 d16 [c] d8 b16 [a] b8 r4
 r8 d g g, d'4 r8 d
 es [(d c)] h c4. \melisma b8
 as [g] as4 g \melismaEnd r8 d'
 es [d c e] \melisma f4 es8 [d] \melismaEnd
 h2 c4 r
 r1
 r % Takt 20
 r
 r
 c4 b8 a! b16 ([c] d4) c8
 b [a] b4 b a
 r c2 es4 ~
 es d8 [c] b16 ([c] d4) c8
 c4 (b8) a b [a] b4
 r8 g d' d, g4 r
 r8 b f' f, b4 r8 h
 \slurDashed \once \override Slur #'line-thickness = #1.5 c [(d es)] \slurSolid b! b4 (a8) c % Takt 30
 b [(a g)] fis g d' g g,
 d'4 r8 c b [(a g) fis] \melisma 
 g [(a b)] \melismaEnd c d [(c d)] es
 fis,2 \melisma g4 \melismaEnd r
 r1
 r
 r
 r
 r
 r % Takt 40
 r
 r
 b4 r a8 b c d
 es4 d d c 
 \revert Staff.VerticalAxisGroup #'minimum-Y-extent r8 f, a c f f4 f8 ~ % FIXME
 f [e16 d] \melisma c [b a g] a [f g a] b [c d e!] 
 f8 f4 f8 ~ f [e16 f g8] \melismaEnd e!
 f [e] d4 r es ~
 es f8 es es4 (d8) c
 \appoggiatura b8 a4. b8 c4 r % Takt 50
 f d8 c b c d es
 f4 as, g8 h c d
 es f g2 h,4
 c es8 d c d es c
 a4 es' r d8 c
 b a b g as4. b8
 g a! b c d es f4 ~
 f a, b es8 d
 g4 (f) a,2 
 b r % Takt 60
}

soprantext = \lyricmode {
 O, dass ich Je -- sum lie -- ben
 soll -- te, wie ich ihn
 ger -- ne lie -- ben woll -- te!
 Be -- gier ist da, die
 Kraft ist schwach, 
 __ die 
 Kraft __
 ist schwach.
 O, dass ich Je -- sum
 lie -- ben soll -- te,
 wie ich __
 ihn ger -- ne
 lie -- ben woll -- te!
 Be -- gier ist da,
 Be -- gier ist da, die
 Kraft __ ist schwach, die
 Kraft __ ist schwach, Be -- gier ist
 da, die Kraft __
 ist schwach ist
 schwach. __
 Zwar, ob ich ihn auch
 lie -- ben könn -- te,
 dass ich in lich -- ten Flam --
 %
 men
 brenn -- te! Kann __
 die -- ses wohl Ver --
 gel -- tung sein?
 Nein! Al -- les, al -- les ist zu
 schlecht und klein und stürb ich
 hun -- dert -- tau -- send --
 fach, al -- les ist zu schlecht und
 klein. Nein! Al -- les,
 al -- les ist zu schlecht und
 klein und stürb ich hun -- dert -- tau --
 send -- fach, hun -- dert -- 
 tau -- send --
 fach.
}



sopran = {
 \global
 \set Staff.instrumentName = \markup {\column {\iname #"Soprano I" \iname #"o Tenore"} }
 \clef "G"
 <<
   \override Voice.Ambitus #'space-alist = #'((clef extra-space . 0.0) (time-signature extra-space . 0.8))
   \override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-4 . 8)
   \override Staff.Clef #'stencil = #ly:text-interface::print
   \override Staff.Clef #'text = #myClefSymbol
   \override StaffGroup.SystemStartBracket #'transparent = ##t
   \sprn
 >>
}

gb = \relative c {
 \Key
 h8_\boxf [h h h] c [c c c]
 as' [as as as] a [a a a]
 b [b fis fis] g [g es es]
 b4 es d r
 d,_\boxp r g r
 fis r g8_\boxf [g'] e [c]
 f, [f' d b] es, [es' c a]
 d,4 r b'' r
 fis r g8 [a b c,]
 d4 d, g8 [g'] g,4 % Takt 10
 \clef tenor g''8^\markup { Violoncello \italic (pizzicato) } [g g g] c, [c c c]
 \clef bass f,,8 [a16 a] c [c f8] \clef tenor f'^\markup { Violoncello \italic (pizzicato) } [f f f]
 b, [b b b] \clef bass es,,8 [g16 g] b [b es8]
 b4 es d r
 r1
 r2 r4 r8 h'_\boxp
 c [(b) as (g)] as [(g) f fis]
 g4 g, c r
 es_\boxf r h r
 c8 [c' c, b] as [as' as, g] % Takt 20
 a!4 h c8 [d] es [f]
 g4 g, c8 [c'] c,4
 \clef tenor f'8^\markup { Violoncello \italic (pizzicato) } [f f f] f [f f f]
 e [e e e] f [f f, f]
 es'! [es es es] c [c c c]
 d [d d d] g, [g c c]
 d [d d d] g, [g g g]
 \clef bass es4 d8 [c] b4 r
 g' f8 [es] d4 r8 \clef tenor f'^"Violoncello"_\boxp % FIXME Abstand Schlüssel - Pause
 es [d c e] f [f, f es'] % Takt 30
 d4 d \clef bass b, es
 d r8 es' d [(c) b (a)]
 b [(a) g (a)] b [(a) b (c)]
 d4 d, g, r
 b_\boxf es d r
 h'_\boxp r c r
 a r b8_\boxf [b,] d [b]
 f' [es d b] es [d] c [a]
 d4 r b' r
 fis r g8 [a b c] % Takt 40
 d4 d, g,8 [a b c]
 d4 d, g\fermata_\markup { \italic "Fine" } r
 \clef tenor e''^\markup { \italic "Violoncello" } r f8_\boxp [d] c [b]
 a4 b f' f,
 \clef bass f, r f f
 f f f f
 f f f' cis
 d d, g' r
 a r b r8 e,
 f4 g f r % Takt 50
 d8^\markup { \column { pizzicato \italic Violoncello }} [d d d] d [d d d]
 d [d d d] es [es es es]
 es [es es c] g' [g g f]
 es [es es es] es [ es es e]
 f [f f f] fis [fis fis fis]
 g [g g g] c, [c d d]
 es [es es es] d [d d b]
 f' [f f es] d4 g8_\markup { \column { "arco" \italic "con Violone" }} [f]
 es4 d8 [b] f'4 f,
 b2_"Da capo" r % Takt 60
}

ziffern = \figuremode {
 <6>2 r
 <5> <6>
 r4 <6> r2
 r4 <6> <_+> r
 <_+> r2.
 <7>4 r2 <5>4
 r <6> r <6>
 <_+> r <6> r 
 <6> r r8 <6/> <6> r 
 <4>4 <_+> r2 % Takt 10
 r1
 <5>8 <\markup {\halten #10 }>4. r2
 r r8 <\markup {\halten #10 }>4.
 r4 <6> <_+> r
 r1
 r2.. <6>8
 r8 <\markup {\halten #4 }>4 <6!>8 <6>2
 <4>4 <_!> r2
 <6>2 <6>
 r4. <6>8 r4. <6>8 % Takt 20
 <6>4 <5> r8 <6!> <6> <_-> 
 <4 6>4 <_! 5> r2 
 r1
 r
 r
 r
 r
 <5>4 <_+> <6> r
 r <5> r2
 r1 % Takt 30
 r2 <6>4 <6>
 <_+> r8 <6> <4 6> r r <6/>
 <6>2 <6>
 <_+>2 r 
 <6>4 <6> <_+> r \set figuredBassAlterationDirection = #LEFT
 <7->2 r \set figuredBassAlterationDirection = #RIGHT
 <7> r
 r4 <5 6> r <5 6>
 <_+> r <6> r
 <6> r r8 <6/> <6> r % Takt 40
 <4 6>4 <_+ 5> r8 <6/> <6> r \override BassFigure #'extra-offset = #'(0.0 . -3.8)
 <4 6>4 <_+ 5> r2 \revert BassFigure #'extra-offset 
 r1
 r
 r
 r
 r2. <5>4
 r2 <6->
 <5> <4>8 <3> r <6>
 r4 <6!> r2 % Takt 50
 r1
 r
 r
 r
 r
 r
 r
 r2. <6>8 <4 6>
 r4 <6>
}

bc = {
 \global
 \set Staff.instrumentName = \markup {\column {\iname #"Organo" \iname #"Violoncello" \iname #"Violone" \iname #"(ad lib.)"} }
 \clef bass
 <<
  \override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-4 . 3)
  \override Staff.VerticalAxisGroup #'keep-fixed-while-stretching = ##t
  \override StaffGroup.SystemStartBracket #'transparent = ##t
  \gb
 >>
}

vla = \relative c' {
 \Key
 h8_\boxf [h h h] c [c c c]
 as [as as as] a [a a a]
 b [b fis fis] g [g es es]
 b'4 es d r
 r1
 r2 g,8_\boxf [g'] e [c]
 f, [f' d b] es, [es' c a]
 d,4 r b' r 
 fis r g8 [a b c]
 d4 d, g8 [g'] g,4 % Takt 10
 r1 r r r r r r r
 es4_\boxf r h' r
 c8 [c' c, b] as [as' as, g] % Takt 20
 a!4 h c8 [d,] es [f]
 g4 g c,8 [c'] c,4
 r1 r r r r r r r r r r r
 b'4_\boxf es d r
 r1
 r2 b8_\boxf [b] d [b]
 f' [es d b] es [d] c [a]
 d4 r b r
 fis r g8 [a b c] % Takt 40
 d4 d g,8 [a b c] \override Script #'font-size = #-2
 d4 d, g\fermata r
 r1 r r
}

viola = {
 \global
 \override NoteHead #'font-size = #-2
 \override Accidental #'font-size = #-2
 \clef alto
 \set Staff.instrumentName = \markup \iname #"Viola ad lib."
 <<
  \vla
 >>
}

\score {
 <<
   \new StaffGroup <<
     \new Staff = "ViolineI" \violineI
     \new Staff = "ViolineII" \violineII
     \new Staff = "Viola" \viola
   >>
   \new StaffGroup << 
    \new Voice = "Sopran" \with { \consists "Ambitus_engraver" } \sopran 
    \new Lyrics \lyricsto Sopran \soprantext
   >>
   \new StaffGroup <<
    \new FiguredBass \ziffern
    \new Staff = "b.c." \bc
   >>
 >>
 \layout {
 #(define indent (* (+ leftspace 14) mm))
  \context {
    \Score
     \override PaperColumn #'keep-inside-line = ##t
     \override BreakAlignment #'break-align-orders = #(make-vector 3 '(instrument-name
                              left-edge
                              breathing-sign
                              clef
                              ambitus
                              key-cancellation
                              key-signature
                              staff-bar
                              time-signature
                              custos))
    \override Clef #'space-alist = #'((ambitus extra-space . 0.8))
    \override VerticalAlignment #'max-stretch = #ly:align-interface::calc-max-stretch
  }
  \context {
   \StaffGroup
    \override SystemStartBracket #'collapse-height = #0.1
  }
  \context {
    \Lyrics
     \override LyricText #'font-size = #0
     \override VerticalAxisGroup #'minimum-Y-extent = #'(-3.75 . 2.0)
  }
  \context {
   \Staff
   \override InstrumentName #'self-alignment-X = #RIGHT  
  }  
  \context {
   \FiguredBass
   figuredBassFormatter = #my-format-bass-figure
   figuredBassPlusDirection = #RIGHT
   figuredBassAlterationDirection = #RIGHT
   \override BassFigureAlignment #'stacking-dir = #UP
   \override VerticalAxisGroup #'keep-fixed-while-stretching = ##t
  }
 }
 \header {
  piece = \markup {\hspace #1 \fontsize #3 "4. Aria" }
 }
}


