\version "2.11.36"
\include "../makros.ly"

\paper {
 first-page-number = #25
}

Key = { \key b \major }

viol = \relative c'' {
 \Key
 \time 2/4
 \override TextScript #'padding = #1.5 
 r4^\markup {\center-align {\bold Munter } }_\markup {\small \translate #(cons -4 0) "Tutti" } d8_\boxf [b] 
 b [f] f [g16 a]
 b4 b8 [c16 d]
 es4 es16 [c c es]
 d [b f' b,] es [c c es]
 d [b d es] f [d d f]
 es [c g' c,] f [d d f]
 es [c es f] g [es g a]
 b [a a8^\trill] g16 [f f8^\trill]
 es16 [d d8^\trill] c16 [b b8^\trill] % Takt 10
 f16 [b d, b'] es, [b' f b]
 g [b d, b'] es, [b' f b]
 g ([es'8.]) d16 ([c8.])
 \times 2/3 {d16 [f es]} \times 2/3 {d [c b]} c4^\trill
 b16 [b' f d] d [f d b]
 <b, f' b>4 d'8_\p [b]
 b [f] f [g16 a]
 b4 b8 [c16 d]
 es8 [g,] r4
 r a8 [f] % Takt 20
 f [d] r4
 r es'16 [g g es]
 f [b, d b] es [g g es]
 f [b, d b] f [f d d]
 g [g es es] a [a f f]
 b [b g g] b8 [c16 d]
 es8 [es,] es'16 [c c es]
 d8 [c16 b] c8 [f,]
 b16 [f d b'] es, [b' f b]
 g [es b' es,] es' [c c es] % Takt 30
 d8 r c r
 b r a r
 g [f16 es] f8 [d]
 es16 [b' es, b'] f [b f a] 
 b4 r
 r16 b'_\f [f d] b [f' d b]
 f' [e e8^\trill] d16 [c c8^\trill]
 b16 [a a8^\trill] g16 [f f8^\trill]
 c'16 [f a, f'] b, [f' c f]
 d [f a, f'] b, [f' c f] % Takt 40
 d [(b'8.)] a16 [(g8.)]
 f,16 [(es'!8.)] d16 [(c8.)]
 \times 2/3 {d16^"|" [f^"|" es^"|"]} \times 2/3 {d [c b]} c4^\trill
 b16 [f d b] <b f' b>4
 \time 6/8 d'8^\markup {\bold Zärtlich }_\p r d, d r g
 g r fis g r b,
 g' r g g r g
 g r es' a, r g
 es r d b [g'16 a b8]
 a [g fis] g16 [a b c d8] % Takt 50
 c [b a] b [g16 a b8]
 a r c c r a
 g r es' \appoggiatura b8 a4.
 g16\f [(b) d (g) es (c)] a [(c) fis (a) c, (a)]
 \time 2/4 g4 r^\markup {\bold \translate #(cons -2 0) Munter }
 r2
 r
 r4 es'16 [c c es]
 d [b f' b,] f' [d d f]
 es [c g' c,] g' [es es g] % Takt 60
 f [d b' d,] es [f g a]
 b8 [b,] r4
 r f8\p [g16 a]
 b8 [b,] b' [c16 d]
 es8 [es,] r4
 r a8 [f]
 f [d] r4
 r es'16 [g g es]
 f [b, d b] es [g g es]
 f [b, d b] f [f d d] % Takt 70
 g [g es es] a [a f f]
 b [b g g] b8 [c16 d]
 es8 [es,] es'16 [c c es]
 d8 [c16 b] c8 [f,]
 b16 [f d b'] es, [b' f b]
 g [es b' es,] es' [c c es]
 d8 r c r
 b r a r
 g [f16 es] f8 [d]
 es16 [b' es, b'] f [b f a] % Takt 80
 b4 r
 r16 b\f [d f] b [g g b]
 a [f c' f,] g [e e g]
 f [c a' c,] f [d d f]
 es! [c g' c,] d [b f' b,]
 a [b b8^\trill] c16 [d d8^\trill]
 es16 [f f8^\trill] g16 [a a8^\trill]
 b16 [(f8.)] d16 [(b8.)]
 \times 2/3 {g'16 [f es]} \times 2/3 {d [c b]} c4
 b16 [f d b] <b f' b>4 % Takt 90
 \time 6/8 d'8^\markup {\bold Zärtlich }_\p r b g r f
 f r e f r f
 c16 [c c c c c] c [c cis cis cis cis]
 d [e f f e! d] c [c c g' f e!]
 f [g a a g f] e [e e e e e]
 e [e cis cis cis cis] cis4 e!8 
 a, r a a r d
 d r f b,4\fermata a'8
 d, r d d r d
 d r b' b r b % Takt 100
 a r b e,4.
 d16\f [(f) a (d) b (g)] e [(g) cis (e) g, (e!)]
 \time 2/4 d4 d'8^\markup {\bold \translate #(cons -1 0) Munter }_\p [b]
 b [f] f [g16 a]
 b4 b8 [c16 d]
 es8 [g,] r4
 r a8 [f]
 f [d] r4
 r es'16 [g g es] 
 f [b, d b] es [g g es] % Takt 110
 f [b, d b] a [f d d]  
 g [g es es] a [a f f]
 b [b g g] b8 [c16 d]
 es8 [es,] es'16 [c c es]
 d8 [c16 b] c8 [f,]
 b16 [f d b'] es, [b' f b]
 g [es b' es,] es' [c c es]
 d8 r c r
 b r a r
 g [f16 es] f8 [d] % Takt 120
 es16 [b' es, b'] f [b f a]
 b4 r
 r16 d,\f [f b] b [f b d]
 d [b d f] es [c c es] 
 d [b f' b,] es [c c es]
 d [b d es] f [d d f]
 es [c g' c,] f [d d f]
 es [c es f] g [es g a]
 b [a a8^\trill] g16 [f f8^\trill]
 es16 [d d8^\trill] c16 [b b8^\trill] % Takt 130
 f16 [b d, b'] es, [b' f b] 
 g [b d, b'] es, [b' f b]
 g ([es'8.]) d16 ([c8.])
 \times 2/3 {d16 [f es]} \times 2/3 {d [c b]} c4^\trill  
 b16 [b' f d] d [f d b]
 <b, f' b>4 r
 \bar "||"
}


violine = {
 \global
 \set Staff.instrumentName = \markup \iname #"Violino I, II"
 \clef treble
 <<
  \viol
 >>
}



sprn = \relative c'' {
 \Key
 r2 r r r r r r r r r r r r r r
 r4 d8 b
 b f f g16 [a]
 b4 b8 c16 [d]
 es4 c8 a
 a f r4 % Takt 20
 r b8 g
 g es r b'16 b
 b4 r8 b16 b
 b4 f8 [d] \melisma
 g \melismaEnd es a f
 b g b c16 [d]
 es4 r
 d8 [c16 b c8] f,
 b d, [es] f
 g4 es'8 c % Takt 30
 d [c16 b] \melisma c8 [f,]
 b [a16 g] a8 [d,]
 g f4 \melismaEnd d8
 es4 f
 b8 b16 b b8 b16 b
 b4 r
 r2
 r
 r
 r % Takt 40
 r
 r
 r
 r
 r8 g a b [a] g
 a16. [(b32 c8)] a b a [g]
 r c b r es d 
 r c a fis16. [g32 a8] b
 a g [fis] g16 [a b c] d8
 c [b] a b g16 [a] b8 % Takt 50
 a g [fis] \set melismaBusyProperties = #'() g16 [a b c d8] \unset melismaBusyProperties
 c [b a] \melisma es' [d c]
 b [a g] \melismaEnd fis4.
 g r
 r4 d'8 b
 b f f g16 [a]
 b4 b8 c16 [d]
 es4 r
 r2
 r % Takt 60
 r
 r4 d8 b
 b f f g16 [a]
 b4 b8 c16 [d]
 es4 c8 a
 a f r4
 r b8 g
 g es r b'16 b
 b4 r8 b16 b 
 b4 f8 [d] \melisma % Takt 70
 g \melismaEnd es a f
 b g b c16 [d]
 es4 r
 d8 [c16 b c8] f,
 b d, [es] f
 g4 es'8 c
 d [c16 b] \melisma c8 [f,]
 b [a16 g] a8 [d,]
 g f4 \melismaEnd d8 
 es4 f % Takt 80
 b8 b16 b b8 b16 b
 b4 r
 r2
 r
 r
 r
 r
 r
 r 
 r % Takt 90
 r8 b g e4 f8 
 g16. [a32 b8] b b4 a8
 r16 a b [a] g [f] g b a [g] f [e]
 f [g a] a [g] f g [a b] b [a] g
 a [b c] c [b] a b [c d] b [g] d'
 cis [d e cis] a8 r r e
 f [e] f f [e!] f
 f [e] d es4\fermata fis8
 g [fis] g g [fis!] g
 b [a g] \melisma cis4. % Takt 100
 d4 e8 \melismaEnd cis4.
 d r
 r4 d8 b
 b f f g16 [a]
 b4 b8 c16 [d]
 es4 c8 a
 a f r4 
 r b8 g
 g es r b'16 b
 b4 r8 b16 b % Takt 110
 b4 f8 [d] \melisma
 g \melismaEnd es a f
 b g b c16 [d]
 es4 r
 d8 [c16 b c8] f,
 b d, [es] f
 g4 es'8 c 
 d [c16 b] \melisma c8 [f,]
 b [a16 g] a8 [d,]
 g f4 \melismaEnd d8 % Takt 120
 es4 f
 b8 b16 b b8 b16 b
 b4 r
 r2
}

soprantext = \lyricmode {
 Al -- ler
 Reich -- tum fah -- re
 hin, fah -- re
 hin! Al -- ler
 Reich -- tum,
 al -- ler
 Reich -- tum, fah -- re
 hin, fah -- re
 hin, al -- 
 ler, al -- ler
 Reich -- tum fah -- re
 hin!
 Fah -- re
 hin, fah -- re
 hin, al -- ler
 Reich --
 %
 tum
 fah -- re
 hin, fah -- re hin, fah -- re
 hin!
 Mir be -- hagt vor
 al -- len Schät -- zen,
 dass ich, Je -- su,
 mein Er -- göt -- zen,
 un -- ter dei -- nen
 Scha -- fen bin, dass ich
 un -- ter dei -- _ _ _ nen 
 Scha --
 fen
 bin.
 Al -- ler
 Reich -- tum fah -- re
 hin, fah -- re
 hin!
 Al -- ler
 Reich -- tum fah -- re
 hin, fah -- re
 hin! Al -- ler
 Reich -- tum,
 al -- ler
 Reich -- tum, fah -- re
 hin, fah -- re
 hin, al --
 ler, al -- ler
 Reich -- tum fah -- re
 hin,
 fah -- re
 hin, fah -- re
 hin, al -- ler
 Reich --
 %
 tum
 fah -- re
 hin, fah -- re hin, fah -- re
 hin!
 Welt -- lust ist nur
 dür -- re Hei -- de,
 im Him -- mel a -- ber find ich
 Wei -- de voll gött -- lich -- er
 Wol -- lust und eng -- li -- scher
 Freu -- de. Nach
 die -- ser sehnt sich 
 Herz und Sinn, nach
 die -- ser sehnt sich
 Herz __
 und
 Sinn. 
 Al -- ler
 Reich -- tum fah -- re
 hin, fah -- re
 hin! Al -- ler
 Reich -- tum,
 al -- ler
 Reich -- tum, fah -- re
 hin, fah -- re
 hin, al -- 
 ler, al -- ler
 Reich -- tum fah -- re
 hin!
 Fah -- re
 hin, fah -- re
 hin, al -- ler
 Reich --
 %
 tum
 fah -- re
 hin, fah -- re hin, fah -- re
 hin!
}



sopran = {
 \global
 \set Staff.instrumentName = \markup { \general-align #Y #CENTER
  \column { \iname #" Soprano II" \iname #" o Alto" \iname #" o Tenore" } \general-align #X #RIGHT \general-align #Y #CENTER
  \line { 
   \score {
    <<
     \new Staff  {
      \time 6/4
      \Key
      \clef soprano
      \relative c' {
       \set Staff.fontSize = #-3
       \override Staff.StaffSymbol #'staff-space = #(magstep -3)
       \override Staff.StaffSymbol #'extra-offset = #'(2 . 0)
       \override Staff.Clef #'extra-offset = #'(2 . 0)
       \override Staff.KeySignature #'extra-offset = #'(2 . 0)
       s4
       \bar ""
      }
     }      
    >>
    \layout  {
     indent = 0\cm
     raggedright = ##t
     line-width = 0.5\cm
     \context { \Staff \remove Time_signature_engraver }
    }
   }
  } 
 }
 \clef "G"
 <<
   \override Voice.Ambitus #'space-alist = #'((clef extra-space . 0.0) (time-signature extra-space . 0.8))
   \override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-4 . 8)
   \override Staff.Clef #'stencil = #ly:text-interface::print
   \override Staff.Clef #'text = #myClefSymbol
   \override StaffGroup.SystemStartBracket #'transparent = ##t
   \sprn
 >>
}

gb = \relative c {
 \Key
 b4_\boxf d'8 [b]
 b [f] f [g16 a]
 b8 [b, g' f]
 es [f g a]
 b [d] c [f,]
 b [b,] a' [h]
 c [es] d [g,]
 c [c16 d] es8 [c]
 d [c b a]
 g [f es d] % Takt 10
 r b [c d]
 es [d es f]
 g [g, a a']
 b [b,] f' [f,]
 b [b16 b] b8 [b16 b]
 b4 d'8_\boxp [b]
 b [f] f [g16 a]
 b8 [b, b' as]
 g [es] r4
 r f8 [d] % Takt 20
 d [b] r4
 r g'8 [es]
 d [b] g' [es]
 d [b] d16 [d b b]
 es [es c c] f [f d d]
 g [g g, g] g'8 [a16 h]
 c8 [c, c' a]
 b [d,] es [f]
 b, [d] es [f]
 g [es] c [a'] % Takt 30
 b r a r
 g r f r
 es [d16 c] d8 [d]
 es4 f
 b, r
 b8_\boxf [b'] d [b]
 a [g] f [e]
 d [c] b [a]
 r f' [g a]
 b [f g a] % Takt 40
 b [b b b]
 a [a a a]
 b [b,] f' [f,]
 b4 r
 b'8_\boxp r fis g r b
 c, r d g r g,
 es' r d c r b
 es r c d r g,
 c r d es r b
 c r d g, r g' % Takt 50
 c, r d g, r g'
 fis r fis fis r fis
 g r c, d r d,
 g4_\boxf g8 g4 g8
 g4 r
 r2
 r
 r4 a'8 [f]
 b [d] h [g]
 c [c,] es [c] % Takt 60
 d [d'] c [c,]
 b4 r
 r d'8_\boxp [c]
 b [as g f]
 es4 r
 r f8 [d]
 d [b] r4
 r g'8 [es]
 d [b] g' [es]
 d [b] d16 [d b b] % Takt 70
 es [es c c] f [f d d]
 g [g g, g] g'8 [a16 h]
 c8 [c, c' a]
 b [d,] es [f]
 b, [d] es [f]
 g [es] c [a']
 b r a r
 g r f r
 es [d16 c] d8 [d]
 es4 f % Takt 80
 b, r
 b8_\boxf [b'] e, [c]
 f [a] b [g]
 a [f] h [g]
 c [c16 a] b8 [d,16 e]
 f8 [g a b]
 c, [d] es [c]
 d [b] b' [d,]
 es [b] f' [f,]
 b4 r % Takt 90
 g8_\boxp r g c r a
 b r c f r f,
 f'16 [f f f f f] e [e e e e e]
 d [d d d d d] e [e e e c c]
 f, [f f f f f] g [g g g b b]
 a [a a a a a] a4 cis8
 d8 r d c! r c
 b r b g4\fermata a8
 b r b b r b
 g r g' e r e % Takt 100
 f r g a r a,
 d4_\boxf d8 d4 d8
 d4 d'8_\boxp [b]
 b [f] f [g16 a]
 b8 [b, b' as]
 g [es] r4
 r f8 [d] 
 d [b] r4
 r g'8 [es]
 d [b] g' [es] % Takt 110
 d [b] d16 [d b b]
 es [es c c] f [f d d]
 g [g es es] g8 [a16 h]
 c8 [c, c' a]
 b [d,] es [f]
 b, [d] es [f]
 g [es] c [a']
 b r a r
 g r f r
 es [d16 c] d8 [d] % Takt 120
 es4 f
 b, r
 b'8_\boxf [b16 b] b8 [b16 b]
 b8 [b,] g' [a] 
 b [d] c [f,]
 b [b,] a' [h]
 c [es] d [g,]
 c [c16 d] es8 [c]
 d [c] b [a]
 g [f] es [d] % Takt 130 
 r b [c d] 
 es [d] es [f]
 g [g, a a']
 b [b,] f' [f,] \override TextScript #'padding = #2.0 
 b [b16_"Es folgt der Eingangschor" b] b8 [b16 b]
 b4 r
}

ziffern = \figuremode {
 r4 <6>
 r2
 r4. <6 _->8
 r4 <6>8 <5>8
 r4 <7>8 <7>
 r4 <6>8 <5>
 r4 <7>8 <_! 7>
 r4. <6>8
 <6> <4 6> <6> <6>
 <6> <6> <6> <6> % Takt 10
 r4 <7>8 <6> \override BassFigure #'extra-offset = #'(0.0 . -5.0)
 r <6> r4
 r8 <6> <5> r \revert BassFigure #'extra-offset
 r2
 r2
 r2
 r2
 r4. <2>8
 <6>4 r
 r4. <6>8 % Takt 20
 r2
 r4 <6>
 <6> <6>
 <6> <6>
 r2
 r
 r4. <5>8
 r4 <6>
 r8 <6> r4
 <6> r8 <5> % Takt 30
 r4 <6>
 r <6>
 r8 <6> <6> r
 r4 <4>8 <3>
 r2
 r
 <6>8 <4 6!> <6> <6>
 <6> <_! 6> <6> <6>
 r4 <7>8 <6>
 r4 <7>8 <6> % Takt 40
 r4 <6>
 <6> <5>
 r2
 r
 r4 <6>8 r4 <6>8
 <5 6> r <_+> r4.
 <6>8 r <4 6> r r <6>
 <6> r <6> <_+> r4
 <6>8 r <_+> <5> r <6>
 <6> r <_+> r4. % Takt 50
 <6>8 r <_+> r4.
 <7>4. <7>
 r <_+>
 r <2 7>
 <3 5>4 r
 r2
 r
 r4 <6>
 r <5>
 r <6> % Takt 60
 <7>8 <6> <7> <6>
 r2
 r4 <6>8 <6>
 r8 <\markup {\halten #2 }> <6> <_- 6>
 r2
 r4 <_!>
 <6> r
 r <6>
 <6> <6>
 <6> <6> % Takt 70
 r2
 r
 r4. <5>8
 r4 <5 6>
 r8 <6> r4
 <6>8 r4 <5>8
 r4 <6>
 r <6>
 r8 <6> r4
 r <4>8 <3> % Takt 80
 r2
 r4 <5>
 r <6>8 <6!>
 <6>4 <5>
 <_->8 r16 <5> r8 <6>
 r <7> <6> r
 r <6> r <6>
 <6>4 r
 r <4>8 <3>
 r2 % Takt 90
 r4. <_!>8 r <6>
 <5> r <_! 7> <4> r <3>
 r4. <6>8 <6/> r
 r4. <6>
 r <6!>4 <3 4!>8
 <_+>4. r4 <6>8
 r4. <2>
 <5> <6->4 <6/>8
 <6>4. r
 r <5 6/> % Takt 100
 <6>4 <6!>8 <_+>4 r8
 r4. <2! 7>
 r2
 r2
 r4. <2>8
 <6>4 r
 r4 <6>4
 <6>2
 r4 <6>
 <6> <6> % Takt 110
 <6>2
 r
 r
 r4. <5>8
 r4 <6>
 r2
 <6>2
 r4 <6>
 r <6>
 r8 <6> r4 % Takt 120
 r4 <4>8 <3>
 r2
 r2
 r4 <6>8 <5>8
 r4 <7>8 <7>
 r4 <6>8 <5>
 r4 <7>8 <_! 7>
 r4 <6>8 <6>
 <6> <4 6> <6> <6>
 <6> <6> <6> <6> % Takt 130
 r4. <6>8
 r <6> r4
 r8 <6> <7> r
}

bc = {
 \global
 \set Staff.instrumentName = \markup {\column {\iname #"Organo" \iname #"Violoncello" \iname #"Violone" \iname #"(ad lib.)"} }
 \clef bass
 <<
  \override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-4 . 3)
  \override Staff.VerticalAxisGroup #'keep-fixed-while-stretching = ##t
  \override StaffGroup.SystemStartBracket #'transparent = ##t
  \gb
 >>
}

vla = \relative c' {
 \Key
 \override Script #'font-size = #-2
 b4_\boxf d8 [b]
 b [f] f [g16 a]
 b8 [b g f]
 es [f g a]
 b [d] c [f,]
 b [b] a [h]
 c [es] d [g,]
 c [c16 d] es8 [c]
 d [c b a]
 g [f es d] % Takt 10
 r b' [c d]
 es [d es f]
 g [g, a a']
 b [b,] f' [f,]
 b [b16 b] b8 [b16 b]
 b4 r
 r2 r r r r r r r r r r r r r r r r r r
 b8_\boxf [b] d [b]
 a [g] f [e]
 d [c'] b [a]
 r f' [g a]
 b [f g a] % Takt 40
 b [b b b]
 a [a a a]
 b [b,] f' [f,]
 b4 r
 r1*6/8 r r r r r r r r
 g4_\boxf g8 g4 g8
 g4 r
 r2
 r
 r4 a8 [f]
 b [d] h [g]
 c [c] es [c] % Takt 60
 d [d'] c [c,]
 b4 r
 r2
 r r r r r r r r r r r r r r r r r r
 b8_\boxf [b'] e, [c]
 f [a] b [g]
 a [f] h [g]
 c [c16 a] b8 [d,16 e]
 f8 [g a b]
 c, [d] es [c]
 d [b] b' [d,]
 es [b] f' [f,]
 b4 r % Takt 90
 r1*6/8 r r r r r r r4. r4\fermata r8 r1*6/8 r r
 d4_\boxf d8 d4 d8
 d4 r
 r2 r r r r r r r r r r r r r r r r r r
 b8_\boxf [b16 b] b8 [b16 b]
 b8 [b] g [a] 
 b [d] c [f,]
 b [b] a [h]
 c [es] d [g,]
 c [c16 d] es8 [c]
 d [c] b [a]
 g [f] es [d] % Takt 130 
 r b' [c d] 
 es [d] es [f]
 g [g, a a']
 b [b,] f' [f,]
 b [b16 b] b8 [b16 b]
 b4 r
}

viola = {
 \global
 \override NoteHead #'font-size = #-2
 \override Accidental #'font-size = #-2
 \clef alto
 \set Staff.instrumentName = \markup \iname #"Viola ad lib."
 <<
  \override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-8 . 4)
  \vla
 >>
}

\score {
 <<
   \new StaffGroup <<
     \new Staff = "Violine" \violine
     \new Staff = "Viola" \viola
   >>
   \new StaffGroup << 
    \new Voice = "Sopran" \with { \consists "Ambitus_engraver" } \sopran 
    \new Lyrics \lyricsto Sopran \soprantext
   >>
   \new StaffGroup <<
    \new FiguredBass \ziffern
    \new Staff = "b.c." \bc
   >>
 >>
 \layout {
  #(define indent (* (+ leftspace 14) mm))
  \context {
    \Score
     \override PaperColumn #'keep-inside-line = ##t
     \override BreakAlignment #'break-align-orders = #(make-vector 3 '(instrument-name
                              left-edge
                              breathing-sign
                              clef
                              ambitus
                              key-cancellation
                              key-signature
                              staff-bar
                              time-signature
                              custos))
    \override Clef #'space-alist = #'((ambitus extra-space . 0.8))
    \override VerticalAlignment #'max-stretch = #ly:align-interface::calc-max-stretch
  }
  \context {
    \Lyrics
     \override LyricText #'font-size = #0
     \override VerticalAxisGroup #'minimum-Y-extent = #'(-3.75 . 2.0)
  }
  \context {
   \StaffGroup
    \override SystemStartBracket #'collapse-height = #0.1
  }
  \context {
   \Staff
   \override InstrumentName #'self-alignment-X = #RIGHT  
  }  
  \context {
   \FiguredBass
   figuredBassFormatter = #my-format-bass-figure
   figuredBassPlusDirection = #RIGHT
   figuredBassAlterationDirection = #RIGHT
   \override BassFigureAlignment #'stacking-dir = #UP
   \override VerticalAxisGroup #'keep-fixed-while-stretching = ##t
  }
 } 
 \header {
  piece = \markup {\hspace #1 \fontsize #3 "6. Aria" } 
 }
}


