\version "2.11.36"
\include "../makros.ly"

\paper {
 first-page-number = #4
}

solo = \markup { \small Solo }
tutti = \markup { \small Tutti }

Key = { \key b \major }

sprnIteilI = \relative c'' {
 \Key
 \time 6/4 
 r4 b^\solo d c (d) b
 c (b) d c (d) b
 g'2 f4 r d8^\tutti es f es
 d4 c8 d es d c4 es8 f g f
 es4 d8 es f es d4 d c
 b8 [a] \melisma b4 a g8 [fis] g4 c
 b8 [a] b4 a g g' \melismaEnd f
 e4. f8 g2 \melisma e!4 f 
 d \melismaEnd e!2 f r4
 r4 a,^\solo c b (c) a % Takt 10
 b (a) c b (c) a
 d2 c4 r a8^\tutti b c b
 a4 g8 a b a g4 b8 c d c
 b4 a8 b c b a2 r4
 r a g f8 [e] \melisma f4 cis'
 d8 [cis] d4 g f8 [e] f4 e! 
 d g \melismaEnd f e4. d8 e!4 
 (f) d2 c r4
 r4 c^\solo es! d4. (es8) d4
 d c b c4. d8 c4 % Takt 20
 c \melisma d8 [es d c] b4.^\trill a8 b4 \melismaEnd
 a d8^\tutti d d d es d es4 es
}

sprnIteilII = \relative c'' {
 e e8 e e e f e! f4 f
 fis fis fis8 fis g4. \melisma f16 [es] d4 \melismaEnd
 c a2 g r4
 r8 g g' g g g fis2 \melisma g4 ~ \melismaEnd
 g8 c,8 a2 g r4 
 \time 4/4 r1
 r
 r % Takt 30
 \repeat volta 2 {
  r4 c c a
  b g g b
  a a d2
  b8 [a] \melisma b4 b8 [a] g4
  a8 [b] c4 c8 [b] a4
  g4 g2 g4 ~
  g a8 [b] a4 d \melismaEnd
  g,2 r
  r4 c8 c c4 c
  d d d d % Takt 40
  d \melisma c8 [b] c4 es
  f, a d2 ~
  d4 c8 [b] c4 es
  f,2 f' ~
  f4 \melismaEnd es8 [d] c4 b
  a2. b8 [c]
  b4 \melisma c8 [b] a4 g
  a1^\trill
  \melismaEnd g4 d' d g,
  a d, d d' % Takt 50
  d b es2
  c8 [b] \melisma c4 c8 [b] c4 
  d es8 [d] c4 b
  c \melismaEnd a r2
  r4 b8 b b4 b
  b a a a
  a \melisma g8 [a] b [c d b]
  es4 es, es'2 ~
 }
 \alternative {
  {
   es d \melismaEnd
   c1 ~ % Takt 60
   c2 r
  }
  {
   es \repeatTie d \melismaEnd 
   c1 ~
   c2 r
  }
 } 
 g4 g2 \melisma c4 ~
 c \melismaEnd b2 f'4 ~
 f d8 [es] \melisma f [es f d]
 c4 g' r f 
 r es r d
 r c8 [d] es [d es c] % Takt 70
 d4. es8 c2
 \melismaEnd b4 f' es d 
 c g' \melisma r f
 r es r d
 r c8 [d] es [d es c]
 d4. es8 c2 \melismaEnd
 b1
 \bar "|."
}

sopranItext = \lyricmode {
 Mei -- ne Scha -- fe 
 hö -- ren mei -- ne 
 Stim -- me, und ich ken -- ne 
 sie und sie fol -- gen mir, und ich ken -- ne
 sie und sie fol -- gen mir, und sie
 fol --
 gen 
 mir, sie fol --
 gen mir. 
 Mei -- ne Scha -- fe % Takt 10
 hö -- ren mei -- ne
 Stim -- me, und ich ken -- ne
 sie und sie fol -- gen mir, und ich ken -- ne 
 sie und sie fol -- gen mir.
 Und sie fol --
 %
 gen mir, sie fol --
 gen mir.
 Und ich ge -- be 
 ih -- nen das e -- wi -- ge % Takt 20
 Le -- 
 ben, und sie wer -- den nim -- mer -- mehr um --
 kom -- men, sie wer -- den nim -- mer -- mehr um --
 kom -- men, nim -- mer -- mehr __ 
 um -- kom -- men.
 Sie wer -- den nim -- mer -- mehr __
 um -- kom -- men.
 %
 %
 % Takt 30
 Und nie -- mand 
 wird sie mir aus
 mei -- ner Hand  
 rei -- 
 %
 %
 %
 ßen.
 Und sie wer -- den
 nim -- mer -- mehr um -- % Takt 40
 kom --
 % 
 % 
 %
 men, nim -- mer
 mehr um __
 kom --
 %
 men, und nie -- mand
 wird sie mir aus % Takt 50
 mei -- ner Hand
 rei --
 %
 ßen.
 Und sie wer -- den 
 nim -- mer -- mehr um --
 kom --
 %
 %
 men __ % Takt 60
 %
 - - 
 men __
 %
 %
 %
 Aus mei -- 
 ner Hand 
 rei --
 % Takt 70
 %
 %
 %
 ßen, aus mei -- ner
 Hand rei --
 %
 %
 %
 ßen.
}

sopranI = {
 \global
 \set Staff.instrumentName = \markup \iname #"Soprano I"
 \clef treble
 <<
  \override StaffGroup.SpanBar #'transparent = ##t
  { \sprnIteilI \sprnIteilII }
 >>
}

sprnIIteilI = \relative c' {
 \Key
 r4 d^\solo f es (f) d 
 es (d) f es (f) d
 es'2 d4 r b8^\tutti c d c
 b4 a8 b c b a4 c8 d es d
 c4 b8 c d c b2 r4
 r d c b8 [a] \melisma b4 a
 g8 [fis] g4 c b8 [a] b4 a
 g c \melismaEnd b a4. g8 \slurDashed a4 
 (b) \slurSolid g2 a r4
 r4 f^\solo a g (a) f % Takt 10
 g (f) a g (a) f
 b2 a4 r f8^\tutti g a g
 f4 e8 f g f e!4 g8 a b a
 g4 f8 g a g f4 a g 
 f8 [e] \melisma f4 cis' d8 [cis] d4 g,
 f8 [e] f4 e! d d' c
 h4. c8 d2 h!4 c
 d \melismaEnd h2 c4 g^\solo b
 a4. (b8) a4 a g fis
 g4. a8 g4 g \melisma a8 [b a g] % Takt 20
 fis4. g8 a4 ~ a g8 [fis!] g4 \melismaEnd
 fis fis8^\tutti fis fis fis g fis! g4 g
}

sprnIIteilII = \relative c'' {
 g g8 c c c c c c4 a
 a a d8 d d4. \melisma c8 b4 \melismaEnd
 a fis2 g8 h c c c c 
 cis2 cis8 cis d4. \melisma c8 b4 ~ \melismaEnd
 b8 a8 fis2 g r4
 r b b g
 a f f a
 g g c2 % Takt 30
 \repeat volta 2 {
  a8 [g] \melisma a4 a8 [g] f4 
  g8 [a] b4 b8 [a] g4
  f f2 f4 ~
  f g8 [a] g4 c \melismaEnd
  f,2 r
  r4 b8 b b4 b4
  c c c c
  c \melisma b8 [a] b4 d
  es, g c2 ~
  c4 b8 [a] b4 d % Takt 40
  es,2 es' ~
  es4 \melismaEnd d8 [c] b4 a
  g2. a8 [b]
  a4 \melisma b8 [a] g4 f 
  g1^\trill \melismaEnd
  f4 c' c f,
  g c, c c'
  c a d2
  b8 [a] \melisma b4 b8 [a] b4
  c d8 [c] b4 a % Takt 50
  b \melismaEnd g r2
  r4 a8 a a4 a
  a g g g
  g \melisma f8 [g] a [b c a]
  d4 d, d'2 ~
  d c \melismaEnd
  b1 ~
  b2 r2
 }
 \alternative {
  {
   r4 b b g
   a f f a  % Takt 60
   g g c2 
  }
  {
   f,4 f2 \melisma b4 ~
   b \melismaEnd a2 es'4 ~
   es c8 [d] \melisma es [d es c]
  }
 }
 b4 b2 a4 ~
 a g2 d'4 ~
 d h8 [c] d [c d h!]
 c4 es r d 
 r c r b
 r a8 [b] c [b c a] % Takt 70
 b4. c8 a2 \melismaEnd 
 b4 d c b
 a es' \melisma r d
 r c r b
 r a8 [b] c [b c a]
 b4. c8 a2 \melismaEnd
 b1
}

sopranIItext = \lyricmode {
 Mei -- ne Scha -- fe 
 hö -- ren mei -- ne 
 Stim -- me, und ich ken -- ne 
 sie und sie fol -- gen mir, und ich ken -- ne
 sie und sie fol -- gen mir. 
 Und sie fol --
 %
 gen mir, sie fol --
 gen mir. 
 Mei -- ne Scha -- fe % Takt 10
 hö -- ren mei -- ne
 Stim -- me, und ich ken -- ne
 sie und sie fol -- gen mir, und ich ken -- ne 
 sie und sie fol -- gen mir, und sie 
 fol --
 %
 %
 gen mir. Und ich 
 ge -- be ih -- nen das
 e -- wi -- ge Le -- % Takt 20
 %
 ben, und sie wer -- den nim -- mer -- mehr um --
 kom -- men, sie wer -- den nim -- mer -- mehr um --
 kom -- men, nim -- mer -- mehr __ 
 um -- kom -- men, sie wer -- den nim -- mer -- 
 mehr, nim -- mer -- mehr __
 um -- kom -- men.
 Und nie -- mand 
 wird sie mir aus
 mei -- ner Hand % Takt 30 
 rei -- 
 %
 %
 %
 ßen.
 Und sie wer -- den
 nim -- mer -- mehr um --
 kom --
 % 
 % Takt 40
 %
 men, nim -- mer
 mehr um
 kom --
 %
 men, und nie -- mand
 wird sie mir aus % 
 mei -- ner Hand
 rei --
 % Takt 50
 ßen.
 Und sie wer -- den 
 nim -- mer -- mehr um --
 kom --
 %
 %
 men __ 
 %
 Und nie -- mand
 wird sie mir aus % Takt 60
 mei -- ner Hand
 %
 %
 Aus mei -- 
 ner Hand 
 rei --
 % 
 %
 %
 % Takt 70
 %
 %
 %
 ßen, aus mei -- ner
 Hand rei --
 %
 %
 %
 ßen.
}

sopranII = {
 \global
 \set Staff.instrumentName = \markup { \general-align #Y #CENTER
  \column { \iname #" Soprano II" \iname #" o Alto" } \general-align #X #RIGHT \general-align #Y #CENTER
  \line { 
   \score {
    <<
     \new Staff  {
      \time 6/4
      \Key
      \clef soprano
      \relative c' {
       \set Staff.fontSize = #-3
       \override Staff.StaffSymbol #'staff-space = #(magstep -3)
       s4
       \bar ""
      }
     }      
    >>
    \layout  {
     indent = 0\cm
     raggedright = ##t
     line-width = 0.5\cm
     \context { \Staff \remove Time_signature_engraver }
    }
   }
  } 
 }
 \clef treble
 <<
  { \sprnIIteilI \sprnIIteilII }
 >>
}


bs = \relative c {
 \Key
 r1*6/4 
 r
 r2. b2 b4
 b (f') f f2 f4
 f (b) b b b a
 g2 \melisma fis4 g2 fis!4
 g2 fis4 g e f
 c2 \melismaEnd cis4 d2 d'4
 b (c) c, f2 r4
 r1*6/4 % Takt 10
 r
 r2. f2 f4
 f (c') c c2 c,4
 c (f) f f f e
 d2 \melisma e4 d2 e4
 d2 cis4 d h c
 g'4. a8 \melismaEnd h4 c2 c4
 f, (g) g, c2 r4
 r1*6/4 
 r % Takt 20
 r
 r4 d' d d2 d4
 c2 b4 a2 es'!4
 d2 \melisma c4 b4. a8 b4
 c d d, \melismaEnd es es es
 e e e d \melisma d' g, \melismaEnd
 c d (d,) g,2 r4
 r1
 r
 r % Takt 30
 \repeat volta 2 {
  r4 f' f f
  e e e e
  f2 b,4 (c)
  d2 (e)
  f \melisma fis4 d
  g2 f!
  e fis2
  g \melismaEnd g4 b 
  c,2 (es4) c
  g'2 g % Takt 40
  (a) a4 c
  a (f d) b
  es2 es4 \melisma c
  f2 d
  b e \melismaEnd
  f f ~
  f \melisma e \melismaEnd
  f fis4 d
  g g, g'2 ~
  g fis % Takt 50
  g (c4) c,
  f1
  b \melisma 
  a1
  b4 \melismaEnd g r2
  a2 (fis)
  g r
  g (c4) a
 }
 \alternative {
  {
   b2 b,
   f'4 a a f % Takt 60
   e2 e4 c
  }
  {
   b'2 b,
   f'4 f f g
   a2 \melisma fis
  }
 }
 g \melismaEnd g4 (fis)
 g2 g
 g g4 (f!)
 es c a' b
 g \melisma a b b, \melismaEnd
 f'2. \melisma f4 % Takt 70
 b es, f2 \melismaEnd
 b,4 b' a b
 f \melisma g a b
 g a b b, \melismaEnd
 f'2. \melisma f4
 b es, f2 \melismaEnd
 b,1
}

basstext = \lyricmode {
 %
 %
 Und ich
 ken -- ne sie, ich
 ken -- ne sie und sie
 fol --
 %
 gen mir, sie
 fol -- gen mir.
 % Takt 10
 %
 Und ich 
 ken -- ne sie, ich
 ken -- ne sie und sie
 fol --
 %
 gen mir, sie
 fol -- gen mir.
 %
 % Takt 20
 %
 Und sie wer -- den
 nim -- mer -- mehr um --
 kom --
 men, nim -- mer --
 mehr, nim -- mer -- mehr __
 um -- kom -- men.
 %
 %
 % Takt 30
 Und nie -- mand
 wird sie mir aus 
 mei -- ner
 Hand __
 rei --
 %
 %
 ßen, aus
 mei -- ner
 Hand rei -- % Takt 40
 ßen, aus
 mei -- ner
 Hand rei --
 %
 %
 ßen, rei --
 %
 ßen, nie -- mand
 wird sie mir __
 aus % Takt 50
 mei -- ner
 Hand
 rei --
 %
 ßen.
 Nie --
 mand,
 nie -- mand
 wird sie
 mir aus mei -- ner % Takt 60
 Hand rei -- ßen.
 wird sie
 mir aus mei -- ner
 Hand __
 aus
 mei -- ner
 Hand rei -- 
 ßen, aus mei -- ner % Takt 70
 Hand __
 rei --
 %
 ßen, aus mei -- ner
 Hand __
 %
 rei --
 %
 ßen.
}

bass = {
 \global
 \set Staff.instrumentName = \markup \iname #"Basso ad lib."
 \clef bass
 <<
  \bs
 >>
}

gb = \relative c {
 \Key
 b2.^\markup { \small \concat { "tasto solo" \raise #0.7 "*" } } ~ b^"|" 
  ~ b^"|" ~ b2^"|" b'4
 es, es' b b,2 b4 \once \override TextScript #'extra-offset = #'(-1.0 . -1.5) 
 b_\markup{ \small \concat { \raise #0.7 "*" "Siehe Kritischen Bericht"}} f' f f2 f4
 f b b b g fis
 g2 fis4 g2 fis!4
 g2 fis4 g e f
 c2 cis4 d2 d'4
 b c c, f2 r4
 f,2.^\markup { \small \italic "tasto solo" } ~ f^"|" % Takt 10
 ~ f^"|" ~ f2^"|" f'4
 e2 f4 f,2 f4
 f c' c c2 c4
 c f f f d cis
 d2 e4 d2 e!4
 d2 cis4 d h c
 g'4. a8 h4 c2 c4
 f, g g, c e c
 f2 f4 b, c d
 es2 es4 a,2 a4 % Takt 20
 d2 d4 g,2 cis4
 d d' d d2 d4
 c2 b4 a2 es'!4
 d2 c4 b4. a8 b4
 c d d, es es es
 e e e d d' g,
 c d d, g,2 r4
 d'2 e
 f f ~
 f e % Takt 30
 \repeat volta 2 {
  f1
  e 
  f2 b,4 c
  d2 e
  f fis4 d
  g2 f!
  e fis2
  g g4 b 
  c,2 es4 c
  g2 g' % Takt 40
  a a4 c
  a f d b
  es2 es4 c
  f2 d
  b e 
  f f ~
  f e 
  f fis4 d
  g,2 g' ~
  g fis % Takt 50
  g c4 c,
  f1
  b
  a2 f
  b4 g g, g'
  a2 fis
  g r
  g c4 a
 }
 \alternative {
  {
   b2 b,
   f'4 a a f % Takt 60
   e2 e4 c
  }
  {
   b'2 b,
   f'2 f4 g
   a2 fis
  }
 }
 g g,4 fis'
 g2 g
 g g4 f!
 es c a' b 
 g a b b,
 f'2 f,4 f' % Takt 70
 b es, f f,
 b b' a b
 f g a b
 g a b b,
 f'2 f,4 f'
 b es, f f,
 b1
}

ziffern = \figuremode {
 r1*6/4  
 r1*5/4 <[3 5]>4
 r1*6/4
 r 
 r1*5/4 <5>4
 r2 <5>4 r2 <5>4
 r2 <5>4 r <5> r
 <_!>2 <7>4 <4>2 <3>4
 r <_!> r r2.
 r1*6/4 % Takt 10
 r1*5/4 <[5]>4
 <7>2 r1
 r4 <_!> r1
 r1*5/4 <5>4
 r2 <6/>4 r2 <6/>4
 r2 <5>4 r <5> <_!>
 <_!>2 <5>4 <4>2 <_!>4
 <6> <_!> r <_!> r2
 r1 <\markup {\halten #4 }>2
 <7>2 r4 <7>2 r4 % Takt 20
 <_+ 7>2 r4 <9>2 <7>4
 <_+>4 r2 <2> r4 
 <_!>2 <\markup {\halten #4 }>4 <6>2 <2>4 
 <_+>2 <\markup {\halten #4 }>4 <6>4. <\markup {\halten #4 }>
 <6>4 <_+> r <7> <6> r
 <6/> r2 <_+>4 r2
 <_->4 <_+> r1
 <6>2 <5>
 r1
 <2>2 <6> % Takt 30
 r1
 <5> 
 r2. <\markup {\halten #2 }>4
 <6>2 <5>
 r <5>
 r <2>
 <6> <5>
 <4>4 <3> r2
 r1
 <4>2 <3> % Takt 40
 <4 5-> <3>4 <\markup {\halten #2 }>
 <5>2 <6>
 <7> <6>
 r <5>
 <5 6> <6>
 r1
 <2>2 <6>
 r <6>
 r1
 <2>2 <6> % Takt 50
 r1
 r
 <7>4 <6> r2
 <7>4 <6> r2
 r1
 <4 9>2 <5>
 <9>4 <8> r2
 <6>2 r4 <5>
 <4>2 <3>
 r1 % Takt 60
 <6>2 r
 <4>2 <3>
 <4>4 <3> r2
 <5> <7>
 r2. <5>4
 <4 9>2 <3 8>
 <_!>2. <\markup {\halten #2 }>4
 <6>2 <5>
 <5>4 <5> <4 9> <3 8>
 r1 % Takt 70
 r
 r2 <5>
 r <5>
 <5>4 <5> <4 9> <3 8>
}

bc = {
 \global
 \set Staff.instrumentName = \markup \column { \iname #"Organo" \iname #"Violoncello" \iname #"Violone" \iname #"(ad lib.)" }
 \clef bass
 <<
  \override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-4 . 3)
  \override Staff.VerticalAxisGroup #'keep-fixed-while-stretching = ##t
  \override StaffGroup.SystemStartBracket #'transparent = ##t
  \gb
 >>
}

violI = \relative c'' {
 \Key
 \time 6/4 
 r1.
 r
 r1 d8^\tutti es f es
 d4 c8 d es d c4 es8 f g f
 es4 d8 es f es d4 d c
 b8 [a]  b4 a g8 [fis] g4 c
 b8 [a] b4 a g g'  f
 e4. f8 g2  e!4 f 
 d  e!2 f r4
 r1. % Takt 10
 r
 r1 a,8^\tutti b c b
 a4 g8 a b a g4 b8 c d c
 b4 a8 b c b a2 r4
 r a g f8 [e]  f4 cis'
 d8 [cis] d4 g f8 [e] f4 e!
 d g  f e4. d8 e!4 
 (f) d2 c r4
 r1.
 r % Takt 20
 r
 r4 d8^\tutti d d d es d es4 es
}

violineI = {
 #(override-auto-beam-setting '(end 1 8 * *) 1 4)
 #(override-auto-beam-setting '(end 1 8 * *) 3 4)
 #(override-auto-beam-setting '(end 1 8 * *) 4 4)
 \clef treble
 \set Staff.instrumentName = \markup \iname #"Violino I" 
 <<
  { \violI \sprnIteilII }
 >>
}

violII = \relative c'' {
 \Key
 r1.
 r
 r1 b8^\tutti c d c
 b4 a8 b c b a4 c8 d es d
 c4 b8 c d c b2 r4
 r d c b8 [a]  b4 a
 g8 [fis] g4 c b8 [a] b4 a
 g c  b a4. g8 a4  
 b  g2 a r4
 r1. % Takt 10
 r
 r1 f8^\tutti g a g
 f4 e8 f g f e!4 g8 a b a
 g4 f8 g a g f4 a g 
 f8 [e]  f4 cis' d8 [cis] d4 g,
 f8 [e] f4 e! d d' c
 h4. c8 d2 h!4 c
 d  h2 c2 r4
 r1.
 r % Takt 20
 r
 r4 fis,8^\tutti fis fis fis g fis! g4 g
}

violineII = {
 #(override-auto-beam-setting '(end 1 8 * *) 1 4)
 #(override-auto-beam-setting '(end 1 8 * *) 3 4)
 #(override-auto-beam-setting '(end 1 8 * *) 4 4)
 \clef treble
 \set Staff.instrumentName = \markup \iname #"Violino II"
 <<
  { \violII \sprnIIteilII }
 >>
}

vla = \relative c' {
\Key
 r1*6/4 
 r
 r2. b2 b4
 b f' f f2 f4
 f b b b b a
 g2 fis4 g2 fis!4
 g2 fis4 g e f
 c2 cis4 d2 d4
 b c c f2 r4
 r1*6/4 % Takt 10
 r
 r2. f,2 f4
 f c' c c2 c4
 c f f f f e
 d2 e4 d2 e4
 d2 cis4 d h c
 g4. a8 h4 c2 c4
 f, g g c2 r4
 r1*6/4 
 r % Takt 20
 r
 r4 d d d2 d4
 c2 b4 a2 es'!4
 d2 c4 b4. a8 b4
 c d d es es es
 e e e d d g, 
 c d d g,2 r4
 r1
 r
 r % Takt 30
 \repeat volta 2 {
  r4 f' f f
  e e e e
  f2 b,4 c
  d2 e
  f fis4 d
  g2 f!
  e fis2
  g g4 b 
  c,2 es4 c
  g'2 g % Takt 40
  a a4 c
  a f d b
  es2 es4  c
  f2 d
  b e 
  f f ~
  f  e 
  f fis4 d
  g g, g'2 ~
  g fis % Takt 50
  g c4 c,
  f1
  b,  
  a1
  b4  g r2
  a'2 fis
  g r
  g c4 a
 }
 \alternative {
  {
   b2 b,
   f'4 a a f % Takt 60
   e2 e4 c
  }
  {
   b'2 b,
   f'4 f f g
   a2  fis
  }
 }
 g  g4 fis
 g2 g
 g g4 f!
 es c a' b
 g  a b b, 
 f'2.  f4 % Takt 70
 b es, f2 
 b,4 b' a b
 f  g a b
 g a b b, 
 f'2.  f4
 b es, f2 
 b,1
}

viola = {
 \override NoteHead #'font-size = #-2
 \override Accidental #'font-size = #-2
 \clef alto
 \set Staff.instrumentName = \markup \iname #"Viola ad lib."
 <<
  \override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-8 . 4)
  \vla
 >>
}

\score {
 <<
   \new StaffGroup = "Instrumente" <<
     \new Staff = "ViolineI" \violineI
     \new Staff = "ViolineII" \violineII  
     \new Staff = "Viola" \viola
   >>
   \new StaffGroup = "Chor" <<
     \new Voice = "SopranI" \sopranI
     \new Lyrics \lyricsto SopranI \sopranItext
     \new Voice = "SopranII" \sopranII
     \new Lyrics \lyricsto SopranII \sopranIItext
     \new Voice = "Bass" \bass
   >>
   \new Lyrics \with {\override VerticalAxisGroup #'minimum-Y-extent = #'(-3.75 . 2.0) }\lyricsto Bass \basstext 
   \new StaffGroup = "Continuo" <<
    \new FiguredBass \ziffern
    \new Staff = "b.c." \bc 
   >>
 >>
 \layout {
  #(define indent (* (+ leftspace 14) mm))
    \context {
    \Score
     \override PaperColumn #'keep-inside-line = ##t
     \override VerticalAlignment #'max-stretch = #ly:align-interface::calc-max-stretch
  }
  \context {
    \Lyrics
     \override LyricText #'font-size = #0
  }
  \context {
   \StaffGroup
    \override SystemStartBracket #'collapse-height = #0.1
  }
  \context {
   \Staff
   \override InstrumentName #'self-alignment-X = #RIGHT  
  }
  \context {
   \FiguredBass
   figuredBassFormatter = #my-format-bass-figure
   figuredBassPlusDirection = #RIGHT
   figuredBassAlterationDirection = #RIGHT
   \override BassFigureAlignment #'stacking-dir = #UP
  }
 }
 \header {
  piece = \markup {\hspace #1 \fontsize #3 "1. Chor" } 
 }
}


