\version "2.11.36"
\include "../makros.ly"

\paper {
 first-page-number = #34
}

Key = { \key g \major }

sprnI = \relative c'' {
 \Key
 \time 2/2
 \override StaffGroup.SpanBar #'transparent = ##t
 g2 a
 h a
 h d
 d (cis)
 d1\fermata
 d2 e 
 c!1\fermata
 h2 d
 a1\fermata
 d2 d % Takt 10
 c h
 a1
 g\fermata
 g2 a
 h a
 h d
 d (cis)
 d1\fermata
 d2 e
 c!1\fermata % Takt 20
 h2 d
 a1\fermata
 d2 d
 c h
 a1
 g
 \revert StaffGroup.SpanBar #'transparent
 \bar ":|"
}

sopranItextI = \lyricmode {
 \set stanza = "1."
 Herr, mein
 Hirt, Brunn
 al -- ler
 Freu -- 
 den,
 du bist
 mein,
 ich bin
 dein,
 nie -- mand % Takt 10
 kann uns
 schei --
 den.
 Ich bin
 dein, weil
 du dein
 Le --
 ben
 und dein
 Blut, % Takt 20
 mir zu -- 
 gut,
 in den
 Tod ge --
 ge --
 ben.
}

sopranItextII = \lyricmode {
 \set stanza = "2."
 Du bist
 mein, weil
 ich dich
 fas --
 se
 und dich
 nicht,
 o mein
 Licht,
 aus dem % Takt 10
 Her -- zen
 las -- 
 se.
 Lass mich,
 lass mich
 hin -- ge --
 lan -- 
 gen,
 da du
 mich % Takt 20
 und ich
 dich 
 leib -- lich
 werd um --
 fan --
 gen.
}

sopranI = {
 \global
  \set Staff.instrumentName = \markup { \general-align #Y #CENTER
  \column { \iname #" Canto 1" \iname #" Violino 1" } \general-align #X #RIGHT \general-align #Y #CENTER
  \line { 
   \score {
    <<
     \new Staff  {
      \time 6/4
      \Key
      \clef soprano
      \relative c' {
       \set Staff.fontSize = #-3
       \override Staff.StaffSymbol #'staff-space = #(magstep -3)
       s4
       \bar ""
      }
     }      
    >>
    \layout  {
     indent = 0\cm
     raggedright = ##t
     line-width = 0.5\cm
     \context { \Staff \remove Time_signature_engraver }
    }
   }
  } 
 }
 \clef treble
 <<
  \sprnI
 >>
}

sprnII = \relative c' {
 \Key
 d2 d
 d fis
 g a
 g1
 fis\fermata
 h2 gis
 e1\fermata
 g!2 g
 fis1\fermata
 a2 h % Takt 10
 g g
 g (fis)
 g1\fermata
 d2 fis
 d d 
 g a
 h (e,)
 fis1\fermata
 h2 e,
 e1\fermata % Takt 20
 g4 (d) d2
 d1\fermata
 h'2 e,
 e4 (fis) g2
 g (fis)
 g1
}


sopranII = {
 \global
  \set Staff.instrumentName = \markup { \general-align #Y #CENTER
  \column { \iname #" Canto 2" \iname #" Violino 2" } \general-align #X #RIGHT \general-align #Y #CENTER
  \line { 
   \score {
    <<
     \new Staff  {
      \time 6/4
      \Key
      \clef soprano
      \relative c' {
       \set Staff.fontSize = #-3
       \override Staff.StaffSymbol #'staff-space = #(magstep -3)
       s4
       \bar ""
      }
     }      
    >>
    \layout  {
     indent = 0\cm
     raggedright = ##t
     line-width = 0.5\cm
     \context { \Staff \remove Time_signature_engraver }
    }
   }
  } 
 }
 \clef treble
 <<
  \sprnII
 >>
}



gb = \relative c' {
   fis,2
 g d
 g fis
 e (a,)
 d1\fermata
 g2 e
 a1\fermata
 e2 h
 d1\fermata
 fis2 g % Takt 10
 e d
 c (d)
 g,1\fermata
 h2 d
 g fis
 e fis
 g (a)
 d,1\fermata
 g2 gis
 a1\fermata % Takt 20
 g!2 g
 fis1\fermata 
 g2 gis
 a h4 (h,)
 c2 (d)
 g,1
}

bs = {
 \global
 \set Staff.instrumentName = \markup {\column { \iname #"Basso si piace" \iname #"Viola" } }
 \clef bass
 <<
  {\Key g2 \gb}
 >>
}

ziffern = \figuremode {
 r2 <6>
 r1
 r2 <6>
 <7> <_+ 7>
 r1
 r2 <_+>
 r1
 <_!>2 <6>
 r1
 <6>2 r % Takt 10
 <6> <4 6>
 <5 6> r
 r1
 <6>2 r
 r <6>
 r <6>
 r <_+>
 r1
 r2 <6>
 r1 % Takt 20
 r
 <6>
 r2 <5 6>
 <5>4 <6> <6>2
 <5 6> r
 r1
}

bc = {
 \global
 \set Staff.instrumentName = \markup {\column { \iname #"Violono" \iname #"Organo" } }
 \clef bass
 <<
  \override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-4 . 3)
  \override Staff.VerticalAxisGroup #'keep-fixed-while-stretching = ##t
  \override StaffGroup.SystemStartBracket #'transparent = ##t
  \override Staff.TextScript #'padding = #1.5
  {\Key g2_\markup {"Tutti"} \gb}
 >>
}

\score {
 <<
   \new StaffGroup <<
     \new Voice = "SopranI" \sopranI
     \new Lyrics \lyricsto SopranI \sopranItextI
     \new Lyrics \lyricsto SopranI \sopranItextII
     \new Voice = "SopranII" \sopranII
     \new Lyrics \lyricsto SopranII \sopranItextI
     \new Lyrics \lyricsto SopranII \sopranItextII
     \new Voice = "Bass" \bs
   >>
   \new Lyrics \lyricsto Bass \sopranItextI
   \new Lyrics \with {\override VerticalAxisGroup #'minimum-Y-extent = #'(-3.75 . 2.0) } \lyricsto Bass \sopranItextII
   \new StaffGroup <<
    \new FiguredBass \ziffern
    \new Staff = "b.c." \bc 
   >>
 >>
 \layout {
  #(define indent (* (+ leftspace 14) mm))
  \context {
    \Score
     \override PaperColumn #'keep-inside-line = ##t
     \override VerticalAlignment #'max-stretch = #ly:align-interface::calc-max-stretch
  }
  \context {
    \Lyrics
     \override LyricText #'font-size = #0
  }
  \context {
   \StaffGroup
    \override SystemStartBracket #'collapse-height = #0.1
  }
  \context {
   \Staff
   \override InstrumentName #'self-alignment-X = #RIGHT  
  }  
  \context {
   \FiguredBass
   figuredBassFormatter = #my-format-bass-figure
   figuredBassPlusDirection = #RIGHT
   figuredBassAlterationDirection = #RIGHT
   \override BassFigureAlignment #'stacking-dir = #UP
  }  
 }
 \header {
  piece = \markup \fontsize #3 { \hspace #1 "B. " \column {"Anhang" "Choral „Herr, mein Hirt, Brunn aller Freuden“" " " } }
 } 
}



